#ifndef EllipticalCut_h
#define EllipticalCut_h

#include <TCanvas.h>
#include <TEllipse.h>

class EllipticalCut : public TEllipse {
 public:

   EllipticalCut();
   EllipticalCut(Double_t x0, Double_t y0,
                 Double_t amajor, Double_t aminor, Double_t theta);

   Double_t Dist(Double_t x, Double_t y) const; 
   void Draw(const Option_t *option="");
   Double_t GetX0() { return GetX1(); }
   Double_t GetY0() { return GetY1(); }
   Double_t GetAmajor() { return GetR1(); }
   Double_t GetAminor() {return GetR2(); }
   void Pick(TCanvas *c);
   void Print(const Option_t *option="") const;
   void Set();
   void Set(Double_t x0, Double_t y0,
            Double_t amajor, Double_t aminor, Double_t theta);

   static void PointPicker();

   ClassDef(EllipticalCut,0);

 private:
   static Int_t fMaxNpoint2d;
   static Double_t *fPoint2d[2];
   static Int_t fNpoint2d;
   static TCanvas *fCanvas;
};

#endif
